Package org.eclipse.ui.dialogs

## Class PreferenceLinkArea

- java.lang.Object
- - org.eclipse.ui.dialogs.PreferenceLinkArea

    public class PreferenceLinkArea
    extends Object

The PreferenceLinkArea is the link area used to open a specific preference page.

Since:
  3.1

### Constructor Summary

Constructors
`PreferenceLinkArea​(Composite parent, int style, String pageId, String message, IWorkbenchPreferenceContainer pageContainer, Object pageData)` Create a new instance of the receiver

### Method Summary

All Methods Instance Methods Concrete Methods
`Control` `getControl()` Return the control for the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreferenceLinkArea

    public PreferenceLinkArea​(Composite parent,
                              int style,
                              String pageId,
                              String message,
                              IWorkbenchPreferenceContainer pageContainer,
                              Object pageData)

Create a new instance of the receiver

Parameters:
  `parent` - the parent Composite
  `style` - the SWT style
  `pageId` - the page id
  `message` - the message to use as text. If this message has {0} in its value it will be bound with the displayed name of the preference page. This message must be well formed html if you wish to link to another page.
  `pageContainer` - - The container another page will be opened in.
  `pageData` - - The data to apply to the page.

### Method Detail

#### getControl

    public Control getControl()

Return the control for the receiver.

Returns:
  Control